# SQLite3Stmt::readOnly

(PHP 5 >= 5.3.6, PHP 7)

SQLite3Stmt::readOnly — Returns whether a statement is definitely read only

### Description

public SQLite3Stmt::readOnly ( void ) : bool

Returns whether a statement is definitely read only. A statement is considered read only, if it makes no direct changes to the content of the database file. Note that user defined SQL functions might change the database indirectly as a side effect.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if a statement is definitely read only, `FALSE` otherwise.